using System;
using PSO2SERVER.Models;
using PSO2SERVER.Protocol.Packets;
using static PSO2SERVER.Protocol.Packets.CharacterShipTransferCancelPacket;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x11, 0xBC)]
    public class CharacterShipTransferCanceldRequest : PacketHandler
    {
        public struct CharacterShipTransferCanceldRequestPacket
        {
            public uint player_id { get; set; }
        }

        CharacterShipTransferCanceldRequestPacket pkt = new CharacterShipTransferCanceldRequestPacket();

        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            var info = string.Format("[<--] 接收到的数据 (hex): {0} 字节", data.Length);
            Logger.WriteHex(info, data);

            var reader = new PacketReader(data, position, size);
            pkt = reader.ReadStruct<CharacterShipTransferCanceldRequestPacket>();

            context.SendPacket(new CharacterShipTransferCancelPacket(MoveStatus.Success));// TODO 需要补充完整
        }
    }
}
